/// <reference path="../kendo/typescript/kendo.mobile.d.ts" />
/// <reference path="../Repositories/AppRepository.ts" />
/// <reference path="../Models/Task.ts" />
var __extends = this.__extends || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var ListModule;
(function (ListModule) {
    var ViewModel = (function (_super) {
        __extends(ViewModel, _super);
        function ViewModel() {
            _super.call(this);
            this.datasource = new kendo.data.ObservableArray([]);
            _super.prototype.init.call(this, this);
        }
        ViewModel.prototype.show = function (e) {
            console.log("ListModule.viewmodel.show");

            //not done in init for testing purposes
            var tasks = [];
            for (var i = 0; i < 300; i++) {
                var newtask = new Models.Task();
                newtask.id = i;
                newtask.title = "Task " + i;
                newtask.description = "Description for the task";
                newtask.completed = false;
                tasks.push(newtask);
            }
            ListModule.viewmodel.set("datasource", new kendo.data.ObservableArray(tasks));
        };
        return ViewModel;
    })(kendo.data.ObservableObject);
    ListModule.ViewModel = ViewModel;

    var init = (function () {
        function init(htmldiv) {
            this.viewmodel = new ViewModel();
            kendo.bind($(htmldiv), this.viewmodel);
        }
        return init;
    })();
    ListModule.init = init;
})(ListModule || (ListModule = {}));
