/// <reference path="../kendo/typescript/kendo.mobile.d.ts" />
/// <reference path="../Repositories/AppRepository.ts" />
/// <reference path="../Models/Task.ts" />

module ListModule {
    export class ViewModel extends kendo.data.ObservableObject {
        constructor() { 
            super();
            super.init(this);
        } 
        datasource = new kendo.data.ObservableArray([]);
        show(e) {
            console.log("ListModule.viewmodel.show");
            //not done in init for testing purposes
            var tasks = [];
            for (var i = 0; i < 300; i++) {
                var newtask = new Models.Task();
                newtask.id = i;
                newtask.title = "Task " + i;
                newtask.description = "Description for the task";
                newtask.completed = false;
                tasks.push(newtask);
            }
            ListModule.viewmodel.set("datasource",new kendo.data.ObservableArray(tasks));

        }
    }

    export class init {
        viewmodel;
        constructor(htmldiv) {
            this.viewmodel = new ViewModel();
            kendo.bind($(htmldiv), this.viewmodel);
        }
    }
}