﻿/// <reference path="../kendo/typescript/jquery.d.ts" />
/// <reference path="../kendo/typescript/kendo.mobile.d.ts" />
var kendoMobileApp;

var AppRepository;
(function (AppRepository) {
    function initialize() {
        document.addEventListener("deviceready", onDeviceReady, false);
    }
    AppRepository.initialize = initialize;

    function onDeviceReady() {
        navigator.splashscreen.hide();

        kendoMobileApp = new AppRepository.KendoApp();
    }
    AppRepository.onDeviceReady = onDeviceReady;

    var KendoApp = (function () {
        function KendoApp() {
            console.log("Create new mobile app object");
            this.app = new kendo.mobile.Application(document.body, {
                //transition: "slide",
                initial: "Views/Home.html",
                skin: "flat",
                useNativeScrolling: true
            });
        }
        return KendoApp;
    })();
    AppRepository.KendoApp = KendoApp;
})(AppRepository || (AppRepository = {}));
