/// <reference path="../kendo/typescript/jquery.d.ts" />
/// <reference path="../kendo/typescript/kendo.mobile.d.ts" />



var kendoMobileApp: AppRepository.KendoApp;
 
module AppRepository {

    export function initialize() {
        document.addEventListener("deviceready", onDeviceReady, false);
    }  

    export function onDeviceReady() {
        navigator.splashscreen.hide();
        
        kendoMobileApp = new AppRepository.KendoApp();
    }

    export class KendoApp {
        app: kendo.mobile.Application;
      
        constructor() {
            console.log("Create new mobile app object");
            this.app = new kendo.mobile.Application(document.body, {
                //transition: "slide",
                initial: "Views/Home.html",
                skin: "flat",
                useNativeScrolling: true
            });
        }
    }
}